# Migration Guide 0.4 - 0.5

## Upgrade dependencies

- If using `babel-preset-kyt-react` upgrade to version 0.2.0.

## New Linter rules

We've upgraded both ESLint and StyleLint which includes some new changes to lint rules. If these new lint rules don't work for your project you can override them in your `.eslintrc.json` and `.stylelintrc.json`.

After you run the `kyt lint-script` command against your project, you may find some errors. Don't forget, you can always fix simple errors by running: `node_modules/.bin/kyt lint-script -- --fix`. Complicated lint errors will require manual changes.

You can read more about kyt's linter rules in the following docs:

- [eslint](/packages/eslint-config-kyt)
- [stylelint](/packages/stylelint-config-kyt)

## Webpack 2.2

We've upgraded to the Webpack 2.2.

If you're code splitting, you should update `System.import` to just `import`:

```js
// Replace System.import('./myFile') with...
import('./myFile').then(module => cb(null, module.default));
```

You can read more about it in the [Webpack docs](https://webpack.js.org/guides/code-splitting-import/#dynamic-import)

If you are currently searching for any loaders in `modifyWebpackConfig()`, note that they have been renamed to include the suffix "-loader" (eg. css --> css-loader, style --> style-loader).

## Jest 19

We've upgraded from Jest 16 to Jest 19.

New features include:

- New expects support (expect.any, expect.anything, expect.objectContaining, expect.arrayContaining, expect.stringMatching)
- Versioning for snapshots: this is a breaking change so you'll have to update your snapshots. To do so, run `npm test -- -- -u`
- [jest.spyOn](http://facebook.github.io/jest/docs/jest-object.html#jestspyonobject-methodname)

You can read about all the changes in their [Changelog](https://github.com/facebook/jest/blob/master/CHANGELOG.md).

## Server Source Map support

For Universal projects, kyt now includes the `source-map-support` module. This should give you more readable stack traces in your server code.

If you were using the `source-map-support` module in your server entry, you can safely remove that import and the dependency from your package.json.
